@import './variables';
@import '~include-media/dist/include-media';

.mat-select-panel-wrap {
  .mat-select-panel {
    &.logo {
      display: grid;
      grid-template-columns: repeat(5, 1fr);
      max-height: 50vh;
      min-width: auto;
    }
  }
}

.mat-select-panel .mat-option, .mat-autocomplete-panel .mat-option, mat-select-trigger {
  &.member {
    .mat-option-text {
      display: flex;
      flex-direction: column;
      line-height: normal;

      span {
        color: $fmi-plateau-primary-color-text;
      }
    }
  }

  &.team {
    $logo-size: 2rem;
    figure {
      line-height: normal;
      display: grid;
      grid-template-columns: $logo-size auto;
      align-items: center;
      margin: 0;
      gap: 1rem;

      img {
        max-width: $logo-size;
        max-height: $logo-size;
        justify-self: center;
      }

      figcaption {
        display: flex;
        flex-direction: column;
      }
    }
  }

  &.logo {
    height: auto;
    $logo-size: 8rem;

    figure {
      line-height: normal;
      display: flex;
      align-items: center;
      justify-content: center;
      margin: 1rem;

      img {
        max-width: $logo-size;
        max-height: $logo-size;
        justify-self: center;
      }
    }
  }
}

mat-select-trigger {
  &.team {
    $logo-size: 1.5rem;
    figure {
      grid-template-columns: $logo-size auto;

      img {
        max-width: $logo-size;
        max-height: $logo-size;
      }
    }
  }
}

@include media('<=md') {
  .mat-select-panel {
    &.logo {
      grid-template-columns: repeat(4, 1fr);
    }
  }

  .mat-select-panel .mat-option, mat-select-trigger {
    &.logo {
      $logo-size: 7rem;
      figure {
        img {
          max-width: $logo-size;
          max-height: $logo-size;
        }
      }
    }
  }
}

@include media('<=sm') {
  .mat-select-panel {
    &.logo {
      grid-template-columns: repeat(3, 1fr);
    }
  }

  .mat-select-panel .mat-option, mat-select-trigger {
    &.logo {
      $logo-size: 6rem;
      figure {
        img {
          max-width: $logo-size;
          max-height: $logo-size;
        }
      }
    }
  }
}

@include media('<=xs') {
  .mat-select-panel {
    &.logo {
      grid-template-columns: repeat(2, 1fr);
    }
  }

  .mat-select-panel .mat-option, mat-select-trigger {
    &.logo {
      $logo-size: 5rem;
      figure {
        img {
          max-width: $logo-size;
          max-height: $logo-size;
        }
      }
    }
  }
}

@include media('<=xxs') {
  .mat-select-panel {
    &.logo {
      grid-template-columns: repeat(1, 1fr);
    }
  }

  .mat-select-panel .mat-option, mat-select-trigger {
    &.logo {
      $logo-size: 4rem;
      figure {
        img {
          max-width: $logo-size;
          max-height: $logo-size;
        }
      }
    }
  }
}
